Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Protected Member Functions
Argus::Destructable Class Reference

A top level object class for libargus objects that are created and owned by the client. More...

`#include <Types.h>`

Inheritance diagram for Argus::Destructable:

List of all members.

## Public Member Functions
virtual void | destroy ()=0
| Destroy this object.

## Protected Member Functions
| ~Destructable ()

## Detailed Description

A top level object class for libargus objects that are created and owned by the client.

All Destructable objects created by the client must be explicitly destroyed.

Definition at line 358 of file Types.h.

## Constructor & Destructor Documentation

Argus::Destructable::~Destructable | ( |  | ) |
| inline protected

Definition at line 369 of file Types.h.

## Member Function Documentation

virtual void Argus::Destructable::destroy | ( |  | ) |
| pure virtual

Destroy this object.

After making this call, the client cannot make any more calls on this object.

The documentation for this class was generated from the following file:

- include/Argus/Types.h